/*
  styles from https://www.kasperkamperman.com/blog/camera-template/
*/

body {
  margin: 0px;
  padding: 0px;
  background: #000;
}

#vid_container {
  position: fixed;
  top: 0;
  left: 0;
}

#inputVideo {
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
}

#gui_controls {
  position: fixed;
  background-color: #222;
  z-index: 2;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

#gui_controls > ul {
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  width: 100%;
  height: 100%;
  gap: 20px;
}

#gui_controls > ul > li {
  list-style-type: none;
}

#gui_controls > ul > li > a {
  display: inline-block;
  padding: 10px;
  color: inherit;
  text-decoration: none;
  transition: opacity 0.2s;
}

#gui_controls > ul > li > a:hover {
  opacity: 0.7;
}

#overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

#emotion-neutral.fulfilled {
  color: grey;
}

#emotion-happy.fulfilled {
  color: green;
}

#emotion-surprised.fulfilled {
  color: yellow;
}

#emotion-angry.fulfilled {
  color: red;
}

@media screen and (orientation: portrait) {
  /* portrait-specific styles */

  /* video_container (video) doesn't respect height... 
       so we will fill it in completely in portrait mode
    */
  #vid_container {
    width: 100%;
    height: 80%;
  }

  #gui_controls {
    width: 100%;
    height: 20%;
    left: 0;
  }

  #gui_controls > ul {
    flex-direction: row;
  }
}

@media screen and (orientation: landscape) {
  #vid_container {
    width: 80%;
    height: 100%;
  }

  #vid_container.left {
    left: 20%;
  }

  /* we default to right */
  #gui_controls {
    width: 20%;
    height: 100%;
    right: 0;
  }

  /* for the lefties */
  #gui_controls.left {
    left: 0;
  }

  #gui_controls > ul {
    flex-direction: column;
  }
}